using Calorie.Common;
using Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Graphics.Display;
using Windows.UI.Popups;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Basic Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace Calorie
{
    public sealed partial class Calendario : Page
    {
        AppointmentSource source = (App.Current.Resources["Appointments"] as AppointmentSource);
        object selectedDate = null;
        public Calendario()
        {
            this.InitializeComponent();
        }

        private void add_Click(object sender, RoutedEventArgs e)
        {
            selectedDate = calendar.SelectedDate;
            source.AddAppointment((DateTime)calendar.SelectedDate);
            RefreshTemplate();
        }

        private void RefreshTemplate()
        {
            calendar.SelectedDate = (DateTime)selectedDate;
            calendar.CellTemplate = null;
            calendar.CellTemplate = App.Current.Resources["Celltemplate"] as DataTemplate;
            calendar.SelectedDate = selectedDate;
        }

        private void calendar_Loaded(object sender, RoutedEventArgs e)
        {
            calendar.SelectedDate = DateTime.Today;
            calendar.CellTemplate = App.Current.Resources["Celltemplate"] as DataTemplate;
        }
    }
}
